Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug
Bug#: 1986
Alias:
Product:
Component:
Status: CLOSED
Resolution: INVALID
Assigned To: Achim Gottinger <achim@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Kingsqueak <kingsqueak@kingsqueak.org>
Add CC:
CC:
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
dump-0.4.24.patch patch to dump-0.4.24.ebuild to fix chmod: /sbin violation patch Kingsqueak 2002-04-21 17:47 0000 1.36 KB Details | Diff
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 1986 depends on: Show dependency tree
Bug 1986 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.




View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2002-04-21 17:45 0000
The following patch will fix the sandbox violation that resulted in a 

chmod:  /sbin

sandbox warning.

This is a unified diff of the dump-0.4.24.ebuild file

--- dump-0.4.24.ebuild.orig     Fri Nov  9 21:33:03 2001
+++ dump-0.4.24.ebuild  Sun Apr 21 18:35:25 2002
@@ -18,33 +18,25 @@
         sys-apps/star"
 
 src_compile() {
-    local myconf
-    if use readline; then
-       myconf=--enable-readline
-       ln -s /lib/libncurses.so libtermcap.so
-       export LDFLAGS="-L${S}"
-       export CFLAGS="$CFLAGS -L${S}"
-    fi
+       local myconf
+       if use readline; then
+               rlconf=--enable-readline
+               ln -s /lib/libncurses.so libtermcap.so
+               export LDFLAGS="-L${S}"
+               export CFLAGS="$CFLAGS -L${S}"
+       fi
+    ./configure --prefix=/usr --with-dumpdatespath=/etc --with-bingroup=root \
+               --enable-largefile ${rlconf} || die "./configure failed "
 
-    ./configure --prefix=/usr --host=${CHOST} --enable-largefile ${myconf}
-    assert "./configure failed (myconf=$myconf)"
-
-    emake 
-    assert "emake failed (myconf=$myconf)"
+    emake || die "emake failed!" 
 }
-
 src_install () {
-    dodir /sbin
-    dodir /usr/share/man/man8
-    dodir /etc/dumpdates
-    make BINDIR=${D}/sbin MANDIR=${D}/usr/share/man/man8 \
-       DUMPDATESPATH=${D}/etc/dumpdates install || die "make install failed"
 
+       dosbin dump/dump
+       dosbin restore/restore
+       doman restore/restore.8
+       doman dump/dump.8
     dodoc CHANGES COPYRIGHT KNOWNBUGS MAINTAINERS
     dodoc README REPORTING-BUGS THANKS TODO
 
-    cd ${D}/sbin
-    rm -f rdump rrestore
-    ln -s dump rdump
-    ln -s restore rrestore
 }

------- Comment #1 From Kingsqueak 2002-04-21 17:47:39 0000 -------
Created an attachment (id=631) [details]
patch to dump-0.4.24.ebuild to fix chmod: /sbin violation

In case gpm failed me in pasting, here is the patch file directly to patch the
dump-0.4.24.ebuild

Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug